Package org.eclipse.equinox.p2.operations

## Class RemedyConfig

- java.lang.Object
- - org.eclipse.equinox.p2.operations.RemedyConfig

    public class RemedyConfig
    extends Object

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the p2 team.

Since:
  2.3
Restriction:

### Field Summary

Fields
`boolean` `allowDifferentVersion`
`boolean` `allowInstalledRemoval`
`boolean` `allowInstalledUpdate`
`boolean` `allowPartialInstall`

### Constructor Summary

Constructors
`RemedyConfig()`

### Method Summary

All Methods Static Methods Concrete Methods
`static RemedyConfig[]` `getAllRemedyConfigs()`
`static RemedyConfig[]` `getCheckForUpdateRemedyConfigs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### allowInstalledUpdate

    public boolean allowInstalledUpdate

#### allowInstalledRemoval

    public boolean allowInstalledRemoval

#### allowDifferentVersion

    public boolean allowDifferentVersion

#### allowPartialInstall

    public boolean allowPartialInstall

### Constructor Detail

#### RemedyConfig

    public RemedyConfig()

### Method Detail

#### getCheckForUpdateRemedyConfigs

    public static RemedyConfig[] getCheckForUpdateRemedyConfigs()

#### getAllRemedyConfigs

    public static RemedyConfig[] getAllRemedyConfigs()